Cabal-1.16.0: A framework for packaging Haskell software

Portability | portable
Maintainer | cabal-devel@haskell.org
Safe Haskell | None

Distribution.Simple.Bench

Description

This is the entry point into running the benchmarks in a built package. It performs the "`./setup bench`" action. It runs benchmarks designated in the package description.

Synopsis

- bench :: Args -> PackageDescription -> LocalBuildInfo -> BenchmarkFlags -> IO ()

# Documentation

bench

Arguments

:: Args | positional command-line arguments
-> PackageDescription | information from the .cabal file
-> LocalBuildInfo | information from the configure step
-> BenchmarkFlags | flags sent to benchmark
-> IO () |

Perform the "`./setup bench`" action.